
:: ***CutAnfg*** SetDateTime_Job.cmd

:SetDateTime_Job
@Echo Off
Rem vvvvvvvvvv Anfg %0 "%~1" "%~2" vvvvvvvvvv
@If "%Call_%" EQU "" (Set Call_=Call )
:: @%Call_%Call_Init %0 "%~1" "%~2"
@%Call_%Call_Help "%~1"
::    ****************************************************
::    *  Autor:   Kalle Koseck
::    *  License: GPL / GNU General Public License
::    *  Date:    2008-11-09
::    *  Revised: 
::    *  File:    SetDateTime_Job.cmd
::    *
::    *  Input:
::    *
%Hlp% *  Para1: String: Date AND / OR Time:    %~1
%Hlp% *  
%Hlp% *  Para2: String: Time AND / OR Date:    %~2
%Hlp% *    
::    *  Remark:
::    *  
::    *  ONLY correct (for the OS) DATE and TIME are allowed:
::    *  e.g. DATE: dd.mm.yyyy
::    *  e.g. TIME: hh:mm:ss
::    *  
::    ****************************************************
%HlpExit%

Mode CON Cols=50 Lines=7
Color 5F

Set Dat_Var=
Set Dat_VarDate=
Set Dat_VarTime=
Set Dat_VarCnt=0
:: Echo.  Para: "%~1" "%~2"
:SetDateTime_Job_DatVarStart
Rem --- :SetDateTime_Job_DatVarStart
Set Dat_Var=%~1
Shift

If "%Dat_Var%" EQU "" (Goto SetDateTime_Job_Exec)
Set /A Dat_VarCnt= %Dat_VarCnt% + 1

If "%Dat_Var:~1,1%" EQU ":" (Goto SetDateTime_Job_Time)
If "%Dat_Var:~2,1%" EQU ":" (Goto SetDateTime_Job_Time)
Set Dat_VarDate=%Dat_Var%
Goto SetDateTime_Job_DatVarStart

:SetDateTime_Job_Time
Set Dat_VarTime=%Dat_Var%
Goto SetDateTime_Job_DatVarStart

:SetDateTime_Job_Exec
Rem --- :SetDateTime_Job_Exec
If %Dat_VarCnt% EQU 0 (
	Goto SetDateTime_Exit
)

(
Echo.  ********************************************
Echo.  *                                          *
If "%Dat_VarDate%" NEQ ""   Echo.  *  SetDateTime_Job: Date  "%Dat_VarDate%"
If "%Dat_VarTime%" NEQ ""   Echo.  *  SetDateTime_Job: Time  "%Dat_VarTime%"
Echo.  *                                          *
Echo.  ********************************************
Rem --- Pause
)

:: ping -n 8 127.0.0.1 1>NUL 2>NUL 
:: 
If "%Dat_VarDate%" NEQ "" (Date %Dat_VarDate%)
:: 
If "%Dat_VarTime%" NEQ "" (Time %Dat_VarTime%)
:: 
ping -n 5 127.0.0.1 1>NUL 2>NUL
:: pause
:SetDateTime_Exit
Rem ^^^^^^^^^^ Ende %0  "%~1" "%~2" ^^^^^^^^^^
@EXIT /B 0

:: ***CutEnde*** SetDateTime_Job.cmd

