Rem  ****************************************************
Rem  *
Rem  *  Autor:   Kalle Koseck
Rem  *           mehl@Koseck.de
Rem  *
Rem  *  License: GPL
Rem  *  Date:    2007-07-16
Rem  *  File:    Timer_Korr.vbs
Rem  *  revised: 
Rem  *  Lizenz:  GPL
Rem  *
Rem  ****************************************************

Option Explicit

Rem --- On Error Resume Next

dim objFSO
dim objReadFile, objFile, objWriteFile
dim strNextLine
dim iBuch, iLen
dim StrLe, StrRe
dim FileNameIn, FileNameOut
dim strFolder, Zhl, Count, Item

Const ForReading = 1
Const ForWriting = 2
Const Overwrite = true

Rem --- defaults: wird gleich berschrieben
FileNameIn = "Timers.xml"
FileNameIn = "D:\Programme\DVBViewer\Timers.xml"
FileNameOut = "C:\Program Files\Scripte\Timer BAT\Timer.korr"

Set objFSO = CreateObject("Scripting.FileSystemObject")

Rem ------------------------------------------------------------
Count = WScript.Arguments.Count
If ( Count <> 2 ) Then
	Wscript.Echo "Timer_Korr.vbs: Anzahl der Argumente falsch; ist: " & WScript.Arguments.Count
	For Zhl = 0 To Count-1 
		Wscript.Echo "Argument " & Zhl & " : " & WScript.Arguments.Item ( Zhl )
	Next
	Wscript.Quit ( 1 )
End If
Rem ------------------------------------------------------------
FileNameIn  = Wscript.Arguments.Item ( 0 )
FileNameOut = Wscript.Arguments.Item ( 1 )

Wscript.Echo "."
Wscript.Echo ". +-------------------------------------------------------------------"
Wscript.Echo ". :"
Wscript.Echo ". :   Timer_Korr.vbs"
Wscript.Echo ". :   ersetzt Strings in einem File"
Wscript.Echo ". :"
Wscript.Echo ". :   File Input  : " & FileNameIn 
Wscript.Echo ". :   File Output : " & FileNameOut 
Wscript.Echo ". :"
Wscript.Echo ". +-------------------------------------------------------------------"

Set objReadFile = objFSO.OpenTextFile ( FileNameIn, ForReading )

Set objFile = objFSO.CreateTextFile ( FileNameOut )
objFile.Close

Set objWriteFile = objFSO.OpenTextFile ( FileNameOut , ForWriting )

if Err.Number <> 0 then
   Wscript.Echo "Fehler beim ffnen:", Err.Description
   Wscript.Quit
end if


Do Until objReadFile.AtEndOfStream
    strNextLine = objReadFile.Readline

Rem      123456
Rem   = &#xE4;   = &#xF6;   = &#xFC;
Rem   = &#xC4;   = &#xD6;   = &#xDC;   = &#xDF;
Rem  
Rem   =     =   = 

   Rem --- more than one of these char in the line?
   Rem --- could be.
   For Zhl = 1 to 10
   RemoveStr strNextLine , "&#xE4;" , ""
   RemoveStr strNextLine , "&#xF6;" , "oe"
   RemoveStr strNextLine , "&#xFC;" , ""
   RemoveStr strNextLine , "&#xC4;" , ""
   RemoveStr strNextLine , "&#xD6;" , ""
   RemoveStr strNextLine , "&#xDC;" , ""
   RemoveStr strNextLine , "&#xDF;" , ""
   RemoveStr strNextLine , "!"      , ""
   RemoveStr strNextLine , "("      , "/"
   RemoveStr strNextLine , ")"      , "/"
   RemoveStr strNextLine , "|"      , "."
   RemoveStr strNextLine , "%"      , " Prozent"
   Next
     Rem Wscript.Echo strNextLine

   iBuch = InStr ( strNextLine, "entry name" )
   If iBuch > 0 Then
      objWriteFile.Writeline ( strNextLine )
   End If
Loop

Wscript.Quit ( 0 )


Sub RemoveStr ( Line , RemChar , Ersatz )
dim iLine, iRemChar

iLine = Len ( Line )
iRemChar = Len ( RemChar )

iBuch = InStr ( Line, RemChar )
Rem Wscript.Echo "Zeile: " & Line & " / " & iLine & " " & iBuch &" !! " & RemChar &" / " & iRemChar

If iBuch > 0 Then
	StrLe = Left  ( Line, iBuch - 1 )
	StrRe = Right ( Line, iLine - iBuch - iRemChar + 1 )

	Rem Wscript.Echo iLine & " / " & iRemChar & " / " & iBuch
	Rem Wscript.Echo StrLe & " / " & StrRe

	Line = StrLe & Ersatz & StrRe
End If
End Sub
