Rem vvvvvvvvvv Anfg %0 vvvvvvvvvv
Rem ---  Timer_UserPara.BAT

::  *********************************************************
::  *  Autor:   Kalle Koseck
::  *  License: GPL / GNU General Public License
::  *  Date:    2007-11-16
::  *  Revised: 
::  *  File:    Timer_UserPara.BAT
::  *
::  *       Nr Bedeutung       meaning        Timer_UserPara_
::  *          Nr der Zeile    No of Row      TUP_RecNo
::  *  Para  1 Programmname    Program        TUP_Prog  : %~1
::  *  Para  2 Sendername      Name Transm.   TUP_Send  : %~2
::  *  Para  3 Datum-Ein       Date Start     TUP_DateS : %~3
::  *  Para  4 Zeit-Ein        Time Start     TUP_TimeS : %~4
::  *  Para  5 Zeit-Aus        Time End       TUP_TimeE : %~5
::  *  Para  6 am Ende         when finished  TUP_End   : %~6
::  *  Para  7 Wochentag       Day of Week    TUP_Day   : %~7
::  *  Para  8 ?               ?              TUP_8     : %~8
::  *  Para  9 aktiviert       activated      TUP_Activ : %~9
::  *  Para 10 ?               ?              TUP_10    :
::  *
::  *  Para  6:
::  *    0=Kein                  1=erzwinge Herunterfahren
::  *    2=erzwinge Standby      3=erzw Ruhemodus
::  *    4=schliesse DVB-Viewer  5=starte Playlist
::  *    6=DVBViewer Ruhemodus
::  *
::  *  Ende, wenn Variable geloescht:
::  *  End,  if variable is deleted:
::  *
::  *    Set TUP_DateS=
::  *
::  *********************************************************

:: Es gibt 2 Mglichkeiten, die Zeit zu setzen:
:: 1. Datum und Zeit angeben
:: 2. Verschiedene Startzeiten angeben, aus denen die nchste genommen wird

:: ==========================================================
:: 1. Methode: es gibt nur eine Startzeit
::             Datum und Zeit direkt angeben

:: Set Timer_Manuell_DateStr=10.06.2007
:: Set Timer_Manuell_TimeStr=20:12:15

:: ==========================================================
:: 2. Methode: Verschiedene Startzeiten angeben,
::             aus denen die nchste genommen wird
::
:: ---  es ist notwendig, diese 3 Variablen zu setzen:
::      alle anderen koennen undefiniert bleiben
:: ---  necessary to set these 3 variables:
::      all others may be left undefined
::
::        TUP_DateS   TUP_TimeS   TUP_TimeE=

Echo.  
Echo.  Sie benutzen das ungeaenderte Timer_UserPara.BAT.
Echo.  Diese Datei berschreibt eventuell an anderer
Echo.  Stelle gesetzte Start-Zeiten.
Echo.  
Echo.  You are using the template Timer_UserPara.BAT
Echo.  without having changed it.
Echo.  This file overwrites Date/Time settings that could
Echo.  have been set at other parts of the Timer program.
Echo.  
Pause

Set TUP_Prog=
Set TUP_Send=
Set TUP_DateS=
Set TUP_TimeS=
Set TUP_TimeE=
Set TUP_End=
Set TUP_Day=
Set TUP_Activ=
Set TUP_8= & Set TUP_10=

If "%TUP_RecNo%" EQU "1" (
Set TUP_DateS=2007-01-01
Set TUP_TimeS=12:45:00
Set TUP_TimeE=13:00:00

Set TUP_Prog=Timer_UserPara.BAT_Programm 1
Set TUP_Send=
Set TUP_End=
Set TUP_Day=
Set TUP_Activ=
)
If "%TUP_RecNo%" EQU "2" (
Set TUP_DateS=2007-02-01
Set TUP_TimeS=20:00:15
Set TUP_TimeE=21:45:00

Set TUP_Prog=Timer_UserPara.BAT_Programm 2
Set TUP_Send=
Set TUP_End=
Set TUP_Day=
Set TUP_Activ=
)

:: if start-date is set but activ set to nothing: activate
If "%TUP_DateS%" NEQ "" (
	If "%TUP_Activ%" EQU "" Set TUP_Activ=
)
Rem ^^^^^^^^^^ Ende %0 ^^^^^^^^^^
Exit /B 0
